Subject: Re: [mif] DHCPv6 Route Option Draft - Question

From: Arifumi Matsumoto <[email-masked]>
Date: Sun, 7 Nov 2010 16:04:13 +0900

Hi,

>>> 
>>> I can understand the need to use multiple egress interfaces on a
>>> non-forwarding Node, and I see the notion of more specific routes
>>> delivered by DHCP. Would the notion of "preferred" interface, or
>>> simply an "interface" parameter need to be part of the MIF DHCP
>>> mechanism? Currently this interface distinctor in the draft is
>>> just the fact that it tells the interface on which a message was
>>> received, but there is no "interface" field in messages draft-dec.
>> 
>> Interesting. I am not in favor to add such "interface" parameter in
>> the draft. Consider a single interface with multiple IPv6 addresses,
>> possibly got from several DHCPv6 cycles, it would not solve the
>> problem. Is'nt the source address enough ?
> 
> Yes, I think the src address of the Relay could be enough when it is
> link-local and derived from Ethernet id.
> 
> But what if the source address is the same from two Relays - link-local
> but not derived from Ethernet?  (it is the src address of the interface
> of the Relay sending the message to Client - a link-local address which
> needs to be unique only on that particular link).
> 
> Alex

I think a link-local address has to be treated combined with
the interface identifier.

We do not have to care about the case where the same link-local addresses
are on one link, right ?